
QGIS Application - Bug report #20173

KML loading bug

2018-10-21 12:20 PM - Idan Miara

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 27994

Description

Hi,

There is a bug with loading some kml/kmz files with raster data:

steps to reproduce:

1.create a kmz file with Geoserver 2.14: layer preview sf:sfdem, kmz format (attached)

(note a bugfix for kmz creation Geoserver @ 2.13 https://osgeo-org.atlassian.net/browse/GEOS-8541)

2. try to load the file you created: sf-sfdem.kmz with QGIS - note only a blank rectangle (same result in QGIS 2.18 and 3.2.3)

3. unzip the kmz, try to load the internal wms.kml - same results.

4. edit wms.kml, Remove the following 4 lines: <Document> </Document> <Folder> </Folder> save as wms1.kml (also attached)

5.1 open the edited wms1.kml in QGIS 2.18 the raster will be loaded (but with a random palette, if you load images\layers_0.png in an

image viewer it will be loaded with a predefined palette).

5.2 open the edited wms1.kml in QGIS 3.2.3 nothing will be loaded.

History

#1 - 2018-10-22 12:35 PM - Giovanni Manghi

- Regression? changed from Yes to No

- Operating System deleted (Win10 x64)

- Category changed from Rasters to Data Provider/OGR

#2 - 2019-02-06 07:49 PM - Even Rouault

- Assignee set to Even Rouault

#3 - 2019-02-06 08:43 PM - Even Rouault

- Resolution set to up/downstream

- Status changed from Open to Closed

Fixed in GDAL master per https://github.com/OSGeo/gdal/commit/467b088edd18f90744bccac9ff6d83a6a5d92d93 and in release/2.4 branch (for 2.4.1) in

https://github.com/OSGeo/gdal/commit/ec4bd32cd591b672274383f7c06da1d58a2a3500

Files

sf-sfdem.kmz 147 KB 2018-10-21 Idan Miara

wms1.kml 1.86 KB 2018-10-21 Idan Miara
